cURL
curl -X POST 'https://api.nuntly.com/namespaces' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"name":"<name>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.namespaces.create({
name: '<name>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.namespaces().create(CreateNamespaceRequest.builder()
.name("<name>")
.build());import requests
url = "https://api.nuntly.com/namespaces"
payload = {
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"externalId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Namespaces
Create Namespace
Create a new namespace.
POST
/
namespaces
cURL
curl -X POST 'https://api.nuntly.com/namespaces' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"name":"<name>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.namespaces.create({
name: '<name>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.namespaces().create(CreateNamespaceRequest.builder()
.name("<name>")
.build());import requests
url = "https://api.nuntly.com/namespaces"
payload = {
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"externalId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
⌘I
